Bug 155869 - hard lockup when booting fc4t1/fc4t2/fc4t2 boot.iso rawhide in msi 915g motherboard
hard lockup when booting fc4t1/fc4t2/fc4t2 boot.iso rawhide in msi 915g mothe...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-24 23:22 EDT by Alexandre Strube
Modified: 2015-01-04 17:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:42:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Strube 2005-04-24 23:22:00 EDT
This is a MSI 915P/G Combo A7058IMS V1.4 09/14/04
The processor is a Pentium 4 3.6
It has 2048mb of ddr2 533mhz, dual channel, interleaved

It has a parallel ata raid (via 6540), four serial ata ports, and one
old parallel ata, used for cd-rom.

None of nopci, noapic, noapm, nolapic, noscsi works. Linux text, linux
vga=1, everything goes to kernel panic.




The messages before kernel panic are:

PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.2
PCI: Transparent Bridge - 0000:00:1e.0
PCI: Discovered primary peer bus ff [IRQ]
PCI: Using IRQ router PIIX/ICH [8086/2640] at 0000:00:1f.0
PCI: IRQ 0 for device 0000:00:01.0 doesn't match PIRQ mask - try
pci=usepirqmask
PCI: Found IRQ 5 for device 0000:00:1f.2
PCI: Sharing IRQ 5 for device 0000:00:1d.1
IRQ routing conflict for 0000:00:1f.3, have irq 10, want irq 5
Unable to handle kernel NULL pointer dereference at virtual address
00000496

printing eip:
c00f0488
*pde = 00000000
Oops: 0000 [#1]
Modules linked in:
CPU:        0
EIP:        0060:[<c00f0488>]   Not tainted VLI
EFLAGS: 00010246 (2.6.11-1.1226_FC4)
EIP is at 0xc00f0488
eax: 0000b100   ebx: 00000000 ecx: 00002502 edx: 25808086
esi: 00000000   edi: c03e92cc ebp: 00000000 esp: c20faf68
ds: 007b  es: 007b  ss: 0068
Stack : (too much stuff to type in a friday afternoon :-) )
Call trace:
[<c02f408e>] pci_bios_find_device+0x1e/0x40
[<c02f453f>] pcibios_sort+0x5f/0x190
[<c043c5ed>] pcibios_init+0x5d/0x70
[<c041e82d>] do_initcalls+0x4d/0xb0
[<c01002a0>] init+0x0/0Xf0
[<c01002bd>] init+0x1d/0xf0
[<c0101281>] kernel_thread_helper+0x5/0x14
Code: 81 fe 00 ff 75 05 8a c1 ee eb 11 66 81 fe 01 ff 75 07 66 8b c1 66
ef eb 03 8b c1 ef 66 9d 66 5a 58 f8 c3 c3 c3 66 50 66 53 b7 00 <2e> 8a
83 96 04 00 00 66 5b 8a d8 66 58 c3 00 01 02 03 04 05 06
<0> Kernel panic - not syncing: Attemped to kill init!

But the machine, according /proc/cpuinfo, is

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 3
model name      : Intel(R) Pentium(R) 4 CPU 3.60GHz
stepping        : 4
cpu MHz         : 3600.276
cache size      : 1024 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe pni
monitor ds_cpl cid
bogomips        : 7182.74


# dmidecode 2.6
SMBIOS 2.3 present.
48 structures occupying 1626 bytes.
Table at 0x000FB7E0.
Handle 0x0000
        DMI type 0, 20 bytes.
        BIOS Information
                Vendor: American Megatrends Inc.
                Version: V1.4B0
                Release Date: 09/14/2004
                Address: 0xF0000
                Runtime Size: 64 kB
                ROM Size: 512 kB
                Characteristics:
                        ISA is supported
                        PCI is supported
                        PNP is supported
                        APM is supported
                        BIOS is upgradeable
                        BIOS shadowing is allowed
                        ESCD support is available
                        Boot from CD is supported
                        Selectable boot is supported
                        BIOS ROM is socketed
                        EDD is supported
                        5.25"/1.2 MB floppy services are supported (int 13h)
                        3.5"/720 KB floppy services are supported (int 13h)
                        3.5"/2.88 MB floppy services are supported (int 13h)
                        Print screen service is supported (int 5h)
                        8042 keyboard services are supported (int 9h)
                        Serial services are supported (int 14h)
                        Printer services are supported (int 17h)
                        CGA/mono video services are supported (int 10h)
                        ACPI is supported
                        USB legacy is supported
                        LS-120 boot is supported
                        ATAPI Zip drive boot is supported
                        BIOS boot specification is supported
Handle 0x0001
        DMI type 1, 25 bytes.
        System Information
                Manufacturer: MSI
                Product Name: MS-7058
                Version: 100
                Serial Number: To Be Filled By O.E.M.
                UUID: 00020003-0004-0005-0006-000700080009
                Wake-up Type: Power Switch
Handle 0x0002
        DMI type 2, 8 bytes.
        Base Board Information
                Manufacturer: MSI
                Product Name: MS-7058
                Version: 100
                Serial Number: To be filled by O.E.M.
Handle 0x0003
        DMI type 3, 17 bytes.
        Chassis Information
                Manufacturer: To Be Filled By O.E.M.
                Type: Desktop
                Lock: Not Present
                Version: To Be Filled By O.E.M.
                Serial Number: To Be Filled By O.E.M.
                Asset Tag: To Be Filled By O.E.M.
                Boot-up State: Safe
                Power Supply State: Safe
                Thermal State: Safe
                Security Status: None
                OEM Information: 0x00000000
Handle 0x0004
        DMI type 4, 35 bytes.
        Processor Information
                Socket Designation: CPU 1
                Type: Central Processor
                Family: Xeon MP
                Manufacturer: Intel            
                ID: 34 0F 00 00 FF FB EB BF
                Signature: Type 0, Family 15, Model 3, Stepping 4
                Flags:
                        FPU (Floating-point unit on-chip)
                        VME (Virtual mode extension)
                        DE (Debugging extension)
                        PSE (Page size extension)
                        TSC (Time stamp counter)
                        MSR (Model specific registers)
                        PAE (Physical address extension)
                        MCE (Machine check exception)
                        CX8 (CMPXCHG8 instruction supported)
                        APIC (On-chip APIC hardware supported)
                        SEP (Fast system call)
                        MTRR (Memory type range registers)
                        PGE (Page global enable)
                        MCA (Machine check architecture)
                        CMOV (Conditional move instruction supported)
                        PAT (Page attribute table)
                        PSE-36 (36-bit page size extension)
                        CLFSH (CLFLUSH instruction supported)
                        DS (Debug store)
                        ACPI (ACPI supported)
                        MMX (MMX technology supported)
                        FXSR (Fast floating-point save and restore)
                        SSE (Streaming SIMD extensions)
                        SSE2 (Streaming SIMD extensions 2)
                        SS (Self-snoop)
                        HTT (Hyper-threading technology)
                        TM (Thermal monitor supported)
                        PBE (Pending break enabled)
                Version: Intel(R) Pentium(R) 4 CPU 3.60GHz                   
                Voltage: 3.3 V 2.9 V
                External Clock: 800 MHz
                Max Speed: 3600 MHz
                Current Speed: 3600 MHz
                Status: Populated, Enabled
                Upgrade: Other
                L1 Cache Handle: 0x0005
                L2 Cache Handle: 0x0006
                L3 Cache Handle: 0x0007
                Serial Number: To Be Filled By O.E.M.
                Asset Tag: To Be Filled By O.E.M.
                Part Number: To Be Filled By O.E.M.
Handle 0x0005
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: L1-Cache
                Configuration: Enabled, Not Socketed, Level 1
                Operational Mode: Varies With Memory Address
                Location: Internal
                Installed Size: 16 KB
                Maximum Size: 16 KB
                Supported SRAM Types:
                        Pipeline Burst
                Installed SRAM Type: Pipeline Burst
                Speed: Unknown
                Error Correction Type: Single-bit ECC
                System Type: Data
                Associativity: 8-way Set-associative
Handle 0x0006
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: L2-Cache
                Configuration: Enabled, Not Socketed, Level 2
                Operational Mode: Varies With Memory Address
                Location: Internal
                Installed Size: 1024 KB
                Maximum Size: 1024 KB
                Supported SRAM Types:
                        Pipeline Burst
                Installed SRAM Type: Pipeline Burst
                Speed: Unknown
                Error Correction Type: Single-bit ECC
                System Type: Unified
                Associativity: 8-way Set-associative
Handle 0x0007
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: L3-Cache
                Configuration: Disabled, Not Socketed, Level 3
                Operational Mode: Unknown
                Location: Internal
                Installed Size: 0 KB
                Maximum Size: 0 KB
                Supported SRAM Types:
                        Unknown
                Installed SRAM Type: Unknown
                Speed: Unknown
                Error Correction Type: Unknown
                System Type: Unknown
                Associativity: Unknown
Handle 0x0008
        DMI type 5, 20 bytes.
        Memory Controller Information
                Error Detecting Method: 64-bit ECC
                Error Correcting Capabilities:
                        None
                Supported Interleave: One-way Interleave
                Current Interleave: One-way Interleave
                Maximum Memory Module Size: 512 MB
                Maximum Total Memory Size: 1024 MB
                Supported Speeds:
                        70 ns
                        60 ns
                Supported Memory Types:
                        SIMM
                        DIMM
                        SDRAM
                Memory Module Voltage: 3.3 V
                Associated Memory Slots: 2
                        0x0009
                        0x000A
                Enabled Error Correcting Capabilities:
                        None
Handle 0x0009
        DMI type 6, 12 bytes.
        Memory Module Information
                Socket Designation: DIMM0
                Bank Connections: 0 1
                Current Speed: Unknown
                Type: DIMM SDRAM
                Installed Size: 512 MB (Double-bank Connection)
                Enabled Size: 512 MB (Double-bank Connection)
                Error Status: OK
Handle 0x000A
        DMI type 6, 12 bytes.
        Memory Module Information
                Socket Designation: DIMM1
                Bank Connections: 2 3
                Current Speed: Unknown
                Type: DIMM SDRAM
                Installed Size: Not Installed
                Enabled Size: Not Installed
                Error Status: OK
Handle 0x000B
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J1A1
                Internal Connector Type: None
                External Reference Designator: PS2Mouse
                External Connector Type: PS/2
                Port Type: Mouse Port
Handle 0x000C
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J1A1
                Internal Connector Type: None
                External Reference Designator: Keyboard
                External Connector Type: PS/2
                Port Type: Keyboard Port
Handle 0x000D
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J2A2
                Internal Connector Type: None
                External Reference Designator: USB1
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x000E
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J2A2
                Internal Connector Type: None
                External Reference Designator: USB2
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x000F
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J4A1
                Internal Connector Type: None
                External Reference Designator: LPT 1
                External Connector Type: DB-25 male
                Port Type: Parallel Port ECP/EPP
Handle 0x0010
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J2A1
                Internal Connector Type: None
                External Reference Designator: COM A
                External Connector Type: DB-9 male
                Port Type: Serial Port 16550A Compatible
Handle 0x0011
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J6A1
                Internal Connector Type: None
                External Reference Designator: Audio Mic In
                External Connector Type: Mini Jack (headphones)
                Port Type: Audio Port
Handle 0x0012
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J6A1
                Internal Connector Type: None
                External Reference Designator: Audio Line In
                External Connector Type: Mini Jack (headphones)
                Port Type: Audio Port
Handle 0x0013
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J6B1 - AUX IN
                Internal Connector Type: On Board Sound Input From CD-ROM
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Audio Port
Handle 0x0014
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J6B2 - CDIN
                Internal Connector Type: On Board Sound Input From CD-ROM
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Audio Port
Handle 0x0015
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J6J2 - PRI IDE
                Internal Connector Type: On Board IDE
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0016
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J6J1 - SEC IDE
                Internal Connector Type: On Board IDE
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0017
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J4J1 - FLOPPY
                Internal Connector Type: On Board Floppy
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0018
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J9H1 - FRONT PNL
                Internal Connector Type: 9 Pin Dual Inline (pin 10 cut)
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0019
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J1B1 - CHASSIS REAR FAN
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x001A
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J2F1 - CPU FAN
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x001B
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J8B4 - FRONT FAN
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x001C
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J9G2 - FNT USB
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x001D
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J6C3 - FP AUD
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x001E
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J9G1 - CONFIG
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x001F
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J8C1 - SCSI LED
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0020
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J9J2 - INTRUDER
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0021
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J9G4 - ITP
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0022
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J2H1 - MAIN POWER
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0023
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: AGP
                Type: 32-bit AGP 4x
                Current Usage: In Use
                Length: Short
                ID: 0
                Characteristics:
                        3.3 V is provided
                        Opening is shared
                        PME signal is supported
Handle 0x0024
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI1
                Type: 32-bit PCI
                Current Usage: Available
                Length: Short
                ID: 1
                Characteristics:
                        3.3 V is provided
                        Opening is shared
                        PME signal is supported
Handle 0x0025
        DMI type 10, 6 bytes.
        On Board Device Information
                Type: Video
                Status: Enabled
                Description:   To Be Filled By O.E.M.
Handle 0x0026
        DMI type 11, 5 bytes.
        OEM Strings
                String 1: To Be Filled By O.E.M.
Handle 0x0027
        DMI type 12, 5 bytes.
        System Configuration Options
                Option 1: To Be Filled By O.E.M.
Handle 0x0028
        DMI type 13, 22 bytes.
        BIOS Language Information
                Installable Languages: 1
                        en|US|iso8859-1
                Currently Installed Language: en|US|iso8859-1
Handle 0x0029
        DMI type 16, 15 bytes.
        Physical Memory Array
                Location: System Board Or Motherboard
                Use: System Memory
                Error Correction Type: None
                Maximum Capacity: 4 GB
                Error Information Handle: Not Provided
                Number Of Devices: 2
Handle 0x002A
        DMI type 19, 15 bytes.
        Memory Array Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x000800003FF
                Range Size: 2097153 kB
                Physical Array Handle: 0x0029
                Partition Width: 0
Handle 0x002B
        DMI type 17, 27 bytes.
        Memory Device
                Array Handle: 0x0029
                Error Information Handle: Not Provided
                Total Width: 64 bits
                Data Width: 64 bits
                Size: 512 MB
                Form Factor: DIMM
                Set: None
                Locator: DIMM0
                Bank Locator: BANK0
                Type: SDRAM
                Type Detail: Synchronous
                Speed: Unknown
                Manufacturer: Manufacturer0
                Serial Number: SerNum0
                Asset Tag: AssetTagNum0
                Part Number: PartNum0
Handle 0x002C
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x0001FFFFFFF
                Range Size: 512 MB
                Physical Device Handle: 0x002B
                Memory Array Mapped Address Handle: 0x002A
                Partition Row Position: 1
                Interleaved Data Depth: 1
Handle 0x002D
        DMI type 17, 27 bytes.
        Memory Device
                Array Handle: 0x0029
                Error Information Handle: Not Provided
                Total Width: Unknown
                Data Width: Unknown
                Size: No Module Installed
                Form Factor: DIMM
                Set: None
                Locator: DIMM1
                Bank Locator: BANK1
                Type: Unknown
                Type Detail: Unknown
                Speed: Unknown
                Manufacturer: Manufacturer1
                Serial Number: SerNum1
                Asset Tag: AssetTagNum1
                Part Number: PartNum1
Handle 0x002E
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x000000003FF
                Range Size: 1 kB
                Physical Device Handle: 0x002D
                Memory Array Mapped Address Handle: 0x002A
                Partition Row Position: 1
                Interleaved Data Depth: 1
Handle 0x002F
        DMI type 127, 4 bytes.
        End Of Table

(Dave Jones reply @ fedora-test-list:)

> If you grab the boot.iso from the latest development tree,
> is it still happening with the current builds ?
> 1226 is quite old now (2.6.12rc1, there have been 2 rebases
> since then, each of being quite large changesets).


bad also :-(

CPU: 0 
EPI: 0060:[<c00f0488>] not tainted vli
eflags: 00010246 (2.6.11-1.1258_FC$)
(...)
Call trace:
pci_bios_find_device
pcibios_sort
pcibios_init
do_initcalls
init
init
kernel_thread_heklper
code (...)
kernel panic - not syncing (...)
panic
do_exit
die
do_page_fault
scrup
set_cursor
vt_console_print
vt_console_print
__call_console_drivers
call_console_drivers
do_page_fault
error_code
get_exec_domain_list
pci_bios_find_device
pcibios_sort
pcibios_init
do_initcalls
init
init
kernel_thread_helper

I took a picture of the screen while hanged. It is at
http://www.surak.eti.br/gallery/2005-04-21/p4220024?full=1
Comment 1 Dave Jones 2005-06-27 19:22:43 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 2 Dave Jones 2005-09-30 03:10:39 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 3 Dave Jones 2005-11-10 15:16:03 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Dave Jones 2006-02-03 02:18:33 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-04 09:42:23 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.